'--------------------------------------------------------------------------------------------------------------
' Faktura-Software Scriptdatei 
' Funktion: 	Sprache des Belegs neu setzen
' Ansicht:  	FakturaBelege
' Script:	    FakturaBelege_61_Beleg_Sprache_Aendern.vbs
' Produkt:	    combit Relationship Manager 5
' Autor  :  	Andreas Mller

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------

Option Explicit

<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->



'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "001"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - 
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "118"
sErrorSkript    = "061"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------

Dim sProcedure, sTrennzeichen,sParameter,sBelegRecordid,bsp,sErf_User,sSprache_Recordid

sErf_User = cRM.CurrentProject.CurrentUser

If sErf_User = "" Then
  WScript.Quit
End If

sBelegRecordid = cRM.CurrentProject.ActiveViews.ActiveView.CurrentRecordSet.CurrentRecordSynchronized.GetContentsByName("Recordid")
 
If sBelegRecordid = "" Then
  WScript.Quit
End If


If sBelegRecordid = "" Then 
  WScript.Quit 
End If 

'Sprache whlen
sSprache_Recordid = OpenDialogSelectRecordSQLDontQuit("FakturaGlobaleEinstellungen","Select Recordid from Factura_Software_Global where FS_Recordid like 'Beleg_Sprache%'","Recordid","Belegsprache auswhlen ","Es wurde ein Fehler festgestellt.")

If sSprache_Recordid = "" Then
  WScript.Quit
End If


'WScript.quit         

 
'Stored Procedure
   sProcedure    = "Fs_Beleg_Sprache_setzen"
   sTrennzeichen = ";"
   sParameter    = sBelegRecordid & ";" & sSprache_Recordid & ";" & sErf_User
  
   bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))
   'showmessage("Beleg Fertig")
		    if bSP = false Then
		      'RaiseException("ErrorCode:" & sErrorCode & "001" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script wird nicht fortgesetzt. Bitte kontaktieren Sie den Support")
		      Wscript.Quit
		     End If
		
'Komplette Ansicht aktualisieren
cRM.CurrentProject.ActiveViews.ActiveView.Update()
